Subject: Re: [PATCH] powerpc: Create "rom" (MTD) device prpmc2800

From: David Gibson <[email-masked]>
Date: Fri, 15 Jun 2007 14:12:33 +1000

On Wed, Jun 13, 2007 at 11:10:42AM +0200, Segher Boessenkool wrote:
> >> MTD does a lot of heuristic probing.  It is pretty good,
> >> but it would be nice if you could skip that and hand it
> >> the exact values it needs.  Also, this information should
> >> be in the device tree no matter what, even if Linux
> >> doesn't use it yet ;-)
> >
> > I agree.  Of course, this means figuring out what the values actually
> > are for Ebony.  I presently have no idea, since the heuristic probing
> > appears to work without problem.
> 
> Doesn't it show it in sysfs, or in the dmesg at least?
> Maybe some other important stuff is there, too.

Not as far as I can tell.  Only dmesg information I can see is:

1ff800000.large-fla: Found 1 x8 devices at 0x0 in 8-bit bank
1ff800000.large-fla: Found 1 x8 devices at 0x200000 in 8-bit bank
number of JEDEC chips: 2
cfi_cmdset_0002: Disabling erase-suspend-program due to code
brokenness.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson